# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import get_args, get_opts
from zbot import kernel

import logging

## do_find command

def do_find(event):
    if not event.rest: logging.warn("no arguments given") ; return
    args = get_args(event.rest)
    opts = get_opts(event.rest)
    for obj in event.objects(**opts):
        res = ""
        go = True
        for arg in args:
            if arg in obj: res += "%s: %s%s" % (arg, obj[arg], " -=- ")
            else: go = False
        if not go: continue
        if obj.dont == "yes" and "dont" not in args: continue
        if res: event.reply(res[:-5])

kernel.cmnds.register("find", do_find)
