# zbot/plugs/set.py
#
#

""" set a tag on an object. """

## IMPORTS

from zbot.utils import get_args, get_opts
from zbot import kernel

import logging

## tag command

def do_set(event):
    if not event.rest: logging.warn("no arguments") ; return
    try: attr, match, tag = get_args(event.rest)
    except ValueError: return
    opts = get_opts(event.rest)
    nr = 0
    for obj in event.objects(attr):
           if attr in obj and match in str(obj[attr]): obj[tag] = opts[tag] ; obj.sync() ; nr += 1
    event.reply("%s objects saved" % nr)

kernel.cmnds.register("set", do_set)
