# zbot/plugs/spider.py
#
#


""" 
    spider .. spider websites and make an index into them.

    taken from http://code.activestate.com/recipes/576551-simple-web-crawler/

"""

## IMPORTS

from zbot import TaskRunner, kernel, Object
from zbot.utils import strip_html, do_url

## SPIDER

def do_spider(event):
    if not event.args: event.reply("url to spider?") ; return
    url = event.args[0]
    o = Object()
    o.depth = 3
    o.speed = 2
    o.fetch(url)
    event.reply(o)

kernel.cmnds.register("spider", do_spider)
